Bug 182415 - Review Request: man-pages-uk - Ukrainian man pages from Linux Documentation Project
Review Request: man-pages-uk - Ukrainian man pages from Linux Documentation P...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Package Reviews List
:
: 182411 182413 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-22 08:44 EST by Andy Shevchenko
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-08 05:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested changes for the spec file (1.07 KB, patch)
2006-06-06 10:49 EDT, Dmitry Butskoy
no flags Details | Diff

  None (edit)
Description Andy Shevchenko 2006-02-22 08:44:05 EST
Spec Name or Url: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/man-pages-uk.spec
SRPM Name or Url: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/man-pages-uk-0.2-3.src.rpm
Description: 
Hello.
I've finished packaging up man-pages-uk. I should like to send on a review so that I can get it into Fedora Extras.

A large collection of man pages (reference material) from the Linux
Documentation Project (LDP), translated to Ukrainian.
Comment 1 Andy Shevchenko 2006-02-22 08:45:33 EST
*** Bug 182411 has been marked as a duplicate of this bug. ***
Comment 2 Andy Shevchenko 2006-02-22 08:46:12 EST
*** Bug 182413 has been marked as a duplicate of this bug. ***
Comment 3 Andy Shevchenko 2006-02-23 12:11:37 EST
This is my first package and I need a sponsor.

P.S. Sorry for dups.
Comment 4 Andy Shevchenko 2006-02-24 11:51:50 EST
While I am looking for license of previous files I found new page with newest 
tarballs. The tarball includes license now and project not dead.

Spec Name or Url: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/man-pages-
uk.spec
SRPM Name or Url: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/man-pages-
uk-0.1-0.1.20051210wiki.src.rpm
 
Comment 5 Paul F. Johnson 2006-02-24 18:44:19 EST
Just a couple of quick comments

1. Why the need to change the name to remove the -utf8? I can't recall seeing
anything in the FE rules over that

2. {buildroot} should really be ${RPM_BUILD_ROOT}

3. INSTALLPATH - should that not be DESTDIR?

4. Do you need to include the epoch? It can be more of a pain than anything
(well, from what I've seen of it).

Other than that, it looks okay. I'm not happy with the naming scheme - Release:
0.1%{?date:.%{date}wiki}%{?dist} seems somewhat long (to me). Can you not just have

Release:0.1%{?dist}. I would normally reserve the longer release if the source
was dragged from cvs/svn
Comment 6 Wart 2006-02-24 18:49:52 EST
> 2. {buildroot} should really be ${RPM_BUILD_ROOT}

According to the packaging guidelines, either is fine as long as it is used
consistently throughout the spec file (which appears to be the case here).  The
use of %{buildroot} is fine here.
Comment 7 Andy Shevchenko 2006-02-26 06:07:37 EST
1. Naming for this package derived from man-pages-$LANG. I think the more 
convenient to use man-pages-uk instead of smth. else.

I see also "Addon packages" from package naming guidelines. And I consider 
proposed name building similar to "Addon package (locales)". I should like to 
hear RH people about this.

3. Do I need to patch original Makefile? INSTALLPATH here is a author's 
variable.

4. Sure, epoch is my local requirement (I'll droped it in spec).

Some words about release. This project does not have svn/cvs, but wiki page with 
last changes. Author of package builds tarball with %date. As package guidelines 
describes I need to put this date in release. May be I am wrong.
Comment 8 Andy Shevchenko 2006-02-28 12:31:33 EST
I found addon info about this package in its Makefile. Also, Gentoo people 
package it as real tarball name. I've fixed name, release, version in specfile.

ftp://andriy.asplinux.com.ua/pub/people/andy/extras/manpages-uk-utf8-0.0.0.2-0.
1.20060228.src.rpm
ftp://andriy.asplinux.com.ua/pub/people/andy/extras/manpages-uk-utf8.spec

Please, review it again. Thank you.
Comment 9 Dmitry Butskoy 2006-03-03 12:22:13 EST
Certainly, it is a useful package, but IMHO it is a bad choice for the first FE
experience.
To sponsor you, a sponsor should review your stuff more carefully (rather than
in normal case) -- i.e., for this package the sponsor must know Ukranian language...

Maybe you can submit something also? After that (when you will be sponsored) it
would be more easy to review this one.
Comment 10 Christian Iseli 2006-03-07 10:10:22 EST
Set Component to "Package Review" (was aalib for some reason...)
Comment 11 Andy Shevchenko 2006-04-04 04:41:51 EDT
* Tue Apr 04 2006 Andy Shevchenko <andriy@asplinux.com.ua>
- update to 20060328 snapshot
- change version according to Makefile

Spec Name or Url: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/manpages-
uk-utf8.spec
SRPM Name or Url: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/manpages-
uk-utf8-0.1-0.1.20060328.src.rpm
Comment 12 Dmitry Butskoy 2006-04-04 06:47:30 EDT
For comment #5:
> 1. Why the need to change the name to remove the -utf8? I can't recall seeing
> anything in the FE rules over that

The similar Core packages have names in the form "man-pages-LL", where LL is
"fr", "de", etc. Therefore this package must have the same naming scheme as the
Core uses.

It is an obvious exception from the "FE rules" -- the Core behaviour always
takes precedence over the Extras, as Extras is just the additional stuff for the
Core...

Paul,
with the current naming there are: "man-pages-cs", "man-pages-de",
"man-pages-es", ... "manpages-uk-utf8" ?!?! Agree, it looks ugly!

Andy,
I suggest you to rename it back.
Comment 13 Andy Shevchenko 2006-05-29 06:11:35 EDT
According to http://www.redhat.com/archives/fedora-extras-list/2006-May/
msg00927.html I'll rename package to man-pages-uk. It's more sense here.
Comment 14 Andy Shevchenko 2006-06-01 07:51:57 EDT
Rename version here:
Spec Name or Url: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/man-pages-
uk.spec
SRPM Name or Url: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/man-pages-
uk-0.1-0.1.20060328.src.rpm
Comment 15 Dmitry Butskoy 2006-06-01 11:46:17 EDT
Since comment #4 all your urls appear wrapped, I cannot "just click" them. IMHO
bugzilla input forms never auto-wraps such url lines... ?..

The built package still contains non-utf manuals.
Consult, for example, man-pages-ru to get idea how to fix this (using iconv(1) etc.)

It seems that there is no any official version yet, perhaps it is better in such
situation to use versioning scheme similar to "man-pages-ja" package (:)), i.e.
the cvs date as the version. But it is not so good from the point of view of FE
Package Guidelines. Maybe ask maillists about this issue (i.e., the versioning
of a cvs stuff which has no any versions at all). Or perhaps it was discussed
somewhere earlier?
Comment 16 Andy Shevchenko 2006-06-03 08:35:39 EDT
What the manuals are non-utf8 exactly? I review all manuals in tarball and find 
nothing non-utf mans.

I've catched the package version from a VERSION Makefile's variable. Is it not 
correct?
Comment 17 Dmitry Butskoy 2006-06-04 11:55:54 EDT
> and find nothing non-utf mans.
Oops, sorry. I was confused a little because of mc uses nroff to show man pages,
and nroff converts utf8 to my ancient locale... :)

> I've catched the package version from a VERSION Makefile's variable.
OK, surely it is correct.

Next days I'll finish the review.
Comment 18 Dmitry Butskoy 2006-06-06 10:47:29 EDT
Remarks and nitpicks:
- Summary and description could sounds like in the other man-pages-LL packages
(It also can help (a little) to include this package into Core :))
- INSTALL is useless in the %doc
- License must be "FDL"
- *.UK %doc files should be marked %lang(uk)
- IMHO it would be nice to add "%description -l uk".

Comment 19 Dmitry Butskoy 2006-06-06 10:49:54 EDT
Created attachment 130610 [details]
Suggested changes for the spec file
Comment 20 Andy Shevchenko 2006-06-07 07:40:12 EDT
Updated version here:
SRPM: ftp://andriy.asplinux.com.ua/pub/people/andy/extras/man-pages-uk-0.1-0.2.
20060328.src.rpm
Comment 21 Dmitry Butskoy 2006-06-07 08:06:14 EDT
rpmlint OK
Must/Should items OK
Source matches upstream
Works fine

Approved!
Comment 22 Andy Shevchenko 2006-06-08 05:36:16 EDT
Already built in devel.
Thanks for review.
Comment 23 Warren Togami 2006-06-08 13:31:28 EDT
FC-3 branch requires FESCO approval.  Ask on fedora-extras-list.

Note You need to log in before you can comment on or make changes to this bug.